package algorithms.geneticAlgorithm.holegGA.Components;

import classes.AbstractCpsObject;
import classes.HolonObject;
import algorithms.geneticAlgorithm.Components.GAFittnessFunctionStrategy;
import algorithms.geneticAlgorithm.Components.GAIndividual;

public class HolegFittnessFkt implements GAFittnessFunctionStrategy<HolegIndividual>{

	@Override
	public double calculateFittness(HolegIndividual candidate) {
		double fittness = 0;
		for(AbstractCpsObject abs : candidate.getObjects()){
			if(abs instanceof HolonObject){
				if(((HolonObject) abs).getState() == HolonObject.SUPPLIED){
					fittness += 100;
				}
			}
		}
		candidate.setFittness(fittness);
		candidate.addLogEntry("Fittness: " + fittness);
		return fittness;
	}

}
